#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run zbot with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex:
    print(str(ex))
    os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='zbot',
    version='38',
    url='https://pikacode.com/milla/zbot',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='zbot find text=mother From Subject Date',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural"],
    scripts=["bin/zbot", "bin/zout", "bin/zbot-sed", ],
    packages=['zbot', 
              'zbot.plugs',
              'zbot.drivers',
             ],
    long_description = """ xmpp, irc, shell, cli, json -=-

/home/milla/25-1-2013/new/1361750432.26909_0.dont

Delivered-To: bthate@gmail.com
Received: from gmail-imap.l.google.com [173.194.67.109]
        by dont.not with POP3 (fetchmail-6.3.21)
        for <bthate@localhost> (single-drop); Mon, 25 Feb 2013 01:00:28 +0100 (CET)
Received: by 10.194.35.193 with SMTP id k1csp260148wjj;
        Tue, 4 Sep 2012 11:20:14 -0700 (PDT)
Received: by 10.14.219.198 with SMTP id m46mr27134194eep.18.1346782813866;
        Tue, 04 Sep 2012 11:20:13 -0700 (PDT)
Return-Path: <>
Received: from minjus.nl (smtp1.minjus.nl. [159.46.2.165])
        by mx.google.com with ESMTPS id 1si10128496eee.121.2012.09.04.11.20.11
        (version=TLSv1/SSLv3 cipher=OTHER);
        Tue, 04 Sep 2012 11:20:13 -0700 (PDT)
Received-SPF: pass (google.com: best guess record for domain of minjus.nl designates 159.46.2.165 as permitted sender) client-ip=159.46.2.165;
Authentication-Results: mx.google.com; spf=pass (google.com: best guess record for domain of minjus.nl designates 159.46.2.165 as permitted sender) smtp.mail=
Received: from ([10.48.129.102])
        by smtp1.minjus.nl with ESMTP with TLS id 1Z84LF1.659208675;
        Tue, 04 Sep 2012 20:20:07 +0200
Received: from ([10.71.118.25])
        by smtp12.minjus.nl with ESMTP with TLS id D5DC7G1.41000599;
        Tue, 04 Sep 2012 20:20:01 +0200
MIME-Version: 1.0
From: <postmaster@om.nl>
To: <bthate@gmail.com>
Date: Tue, 4 Sep 2012 20:19:59 +0200
Content-Type: multipart/report; report-type=delivery-status;
        boundary="30bead98-d21f-45bc-9232-b69f96b9c1a4"
Content-Language: en-US
Message-ID: <a006dde4-9fec-4bf7-bb78-d466dc9448cd@om.nl>
In-Reply-To: <CAJdWPN6VRb86GA80PU3PYsVXHWERCKFWEou3iXT3=4W_hwqONw@mail.gmail.com>
References: <CAJdWPN6Y-jSp+J_8Vsr-oZRYi10oGX9AuxPiNma5m6zqQsTJ4A@mail.gmail.com>
 <CAJdWPN6VRb86GA80PU3PYsVXHWERCKFWEou3iXT3=4W_hwqONw@mail.gmail.com>
Subject: Undeliverable: Fwd: verzoek aan de officier van justitie om tot
strafrechtelijke vervolging over te gaan

""",
    data_files=[('doc', ["LICENSE", ]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Other Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Communications :: Email',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
